<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.7" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structboot__swap__state" kind="struct" prot="public">
    <compoundname>boot_swap_state</compoundname>
      <sectiondef kind="public-attrib">
      <memberdef id="structboot__swap__state_1a35e293beeeabecb91a381dd793ba61d3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t boot_swap_state::magic</definition>
        <argsstring />
        <name>magic</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="122" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="122" />
      </memberdef>
      <memberdef id="structboot__swap__state_1ac5eb83d75047b4f4bf0e2aa7a34f78c7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t boot_swap_state::swap_type</definition>
        <argsstring />
        <name>swap_type</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="123" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="123" />
      </memberdef>
      <memberdef id="structboot__swap__state_1a135c47ae5a43d336d5ab62b5e72417bb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t boot_swap_state::copy_done</definition>
        <argsstring />
        <name>copy_done</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="124" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="124" />
      </memberdef>
      <memberdef id="structboot__swap__state_1af9fdb9362834412b79bf710a1abafef5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t boot_swap_state::image_ok</definition>
        <argsstring />
        <name>image_ok</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="125" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="125" />
      </memberdef>
      <memberdef id="structboot__swap__state_1ad0d72840b2d63a28c27dacb5d07bd84f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t boot_swap_state::image_num</definition>
        <argsstring />
        <name>image_num</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="126" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="126" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="127" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="121" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="121" />
    <listofallmembers>
      <member prot="public" refid="structboot__swap__state_1a135c47ae5a43d336d5ab62b5e72417bb" virt="non-virtual"><scope>boot_swap_state</scope><name>copy_done</name></member>
      <member prot="public" refid="structboot__swap__state_1ad0d72840b2d63a28c27dacb5d07bd84f" virt="non-virtual"><scope>boot_swap_state</scope><name>image_num</name></member>
      <member prot="public" refid="structboot__swap__state_1af9fdb9362834412b79bf710a1abafef5" virt="non-virtual"><scope>boot_swap_state</scope><name>image_ok</name></member>
      <member prot="public" refid="structboot__swap__state_1a35e293beeeabecb91a381dd793ba61d3" virt="non-virtual"><scope>boot_swap_state</scope><name>magic</name></member>
      <member prot="public" refid="structboot__swap__state_1ac5eb83d75047b4f4bf0e2aa7a34f78c7" virt="non-virtual"><scope>boot_swap_state</scope><name>swap_type</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>